Bug 7128 - (int151547/int-151775) Pressing Return hardware key in 'To' field should bring up contacts, not a new line
(int151547/int-151775)
: Pressing Return hardware key in 'To' field should bring up contacts, not a ne...
Status: RESOLVED FIXED
Product: Chat & Call & SMS
Messaging
: 5.0/(2.2009.51-1)
: N900 Maemo
: Low minor with 3 votes (vote)
: Harmattan
Assigned To: rtcomm@maemo.org
: im-chat-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-19 02:49 UTC by Dawid Lorenz
Modified: 2010-10-12 18:16 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Dawid Lorenz (reporter) 2009-12-19 02:49:13 UTC
SOFTWARE VERSION:
(Settings > General > About product)
2009.42-11

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Start blank SMS editor
2. Put focus on blank 'To' field of that editor
3. Press Return key on hardware keyboard

EXPECTED OUTCOME:
Contacts list should be displayed on Return keypress for quick & easy recipient
(multi-)contact selection, just as it happens on pressing 'To' on-screen button
next to this field.

ACTUAL OUTCOME:
New line is getting into 'To' field after pressing Return key, which is pretty
much useless itself. User is forced to press 'To' button on the touch screen,
which will then open desired contacts list.

REPRODUCIBILITY:
Always

OTHER COMMENTS:
Current behaviour makes virtually impossible to complete process of sending SMS
using hardware keyboard only, unless I know recipient's number out of my head,
forcing user to shift fingers between keyboard and device touch screen, which
obviously isn't very user-friendly.

Ideally, contact selection should work in autocomplete/type-ahead fashion
without the need to separately open contacts, however that's just 'nice to
have', while I think implementing different Return keypress behaviour is
relatively simple task.

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.9.1.6)
Gecko/20091216 Fedora/3.5.6-1.fc12 Firefox/3.5.6
Comment 1 Andre Klapper maemo.org 2009-12-20 14:57:04 UTC
Hi,

dealing with this as a bug report (and not an enhancement request), this is a
WONTFIX, as this is how all the text input widgets work.
Comment 2 Dawid Lorenz (reporter) 2009-12-20 21:42:31 UTC
(In reply to comment #1)
> dealing with this as a bug report (and not an enhancement request), this is a
> WONTFIX, as this is how all the text input widgets work.

OK, I agree that should be an enhancement entry, however I disagree with your
explanation about "all text input widgets". Somehow when composing new email
with Modest, I can press return key on 'To' field and that would bring up
contacts list for recipient selection. So it *is* possible, and I can't see a
reason why it should work differently (inconveniently) with Conversations..?
Comment 3 Mikhail Zabaluev nokia 2009-12-21 15:25:21 UTC
I don't see a point for the current behavior, too.
Comment 4 Andre Klapper maemo.org 2010-01-14 21:45:53 UTC
This is currently a WONTFIX for Maemo5.
Please note: Though this is a WONTFIX for Maemo5 it does not mean that Nokia
does not take this request into account for future Maemo planning, hence
keeping open for Maemo6.
Comment 5 Mikhail Zabaluev nokia 2010-10-12 18:15:49 UTC
The Harmattan UI should do away with this.